{ config, lib, pkgs, user, ... }:

{
  programs.i3status-rust = {
    enable = true;
    bars = {
      default = {
        theme = "solarized-dark";
        icons = "awesome";

        blocks = [
          {
            block = "memory";
            display_type = "memory";
            format_mem = "{mem_used_percents}";
          }
          {
            block = "cpu";
            interval = 1;
            format = "{barchart} {frequency}";
          }
          {
            block = "load";
            interval = 1;
            format = "{1m}";
          }
          {
            block = "battery";
            hide_missing = true;
            format = "{time} ({percentage})";
          }
          {
            block = "time";
            interval = 60;
            format = "%a %d.%m %R";
          }
        ];
      };
    };
  };
}
